package interpreteur.logique;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author Admin
 */
public class Context
{

	private Map<String, Reference> references;

	public Context()
	{
		references = new HashMap<String, Reference>();
	}

	public Reference addReference(String nom)
	{
		if (references.get(nom) == null)
		{
			Reference ref = new Reference(nom, null);
			references.put(nom, ref);
			return ref;
		}
		else
		{
			return references.get(nom);
		}
	}

	public Reference getReference(String nomRef)
	{
		return references.get(nomRef);
	}

	@Override
	public String toString()
	{
		String s = new String();
		for (Reference r : references.values())
		{
			s += r.getNom() + " = " + r.getValeur() + "\n";
		}
		return s;
	}
}
