package interpreteur.logique.expressions.terminales;

import interpreteur.logique.Context;
import interpreteur.logique.ExpressionAbstraite;
import interpreteur.logique.expressions.nonterminales.TermeLogique;
import interpreteur.logique.resultats.Resultat;
import interpreteur.logique.resultats.ResultatBooleen;

public class Faux extends TermeLogique
{
    public Faux()
    {
        priorite = 0;
    }

	@Override
	public Resultat interprete(Context c)
	{
		//return false;
		return new ResultatBooleen(false);
	}

	@Override
	public boolean isCompleteAgauche()
	{
		return true;
	}

	@Override
	public void setGauche(ExpressionAbstraite e)
	{
		return;
	}


	@Override
	public void setDroite(ExpressionAbstraite e)
	{
		return;
	}

	@Override
	public boolean isCompleteAdroite()
	{
		return true;
	}
}
