package interpreteur.parser.grammatical;

import interpreteur.parser.SyntaxException;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author Admin
 */
public class Etat {

    protected List<Etat> etatsAccessibles;

    public Etat()
    {
        etatsAccessibles = new LinkedList<Etat>();
    }

    public void addEtatAccessible(Etat etat)
    {
        etatsAccessibles.add(etat);
    }

    public Etat changerEtat(String mot, Etat prochainEtat) throws SyntaxException
    {
        if(etatsAccessibles.contains(prochainEtat))
        {
            //System.out.println("Je suis : " + this + " et avec le mot " + mot + " je vais vers l'etat " + prochainEtat);
            return prochainEtat;
        }
        else
        {
            throw new SyntaxException("Grammatical error.");
        }

    }

    
}
