package interpreteur.logique;

import interpreteur.logique.resultats.InvalidInstruction;
import interpreteur.logique.resultats.Resultat;

public abstract class ExpressionAbstraite
{

    protected int priorite;

	public abstract Resultat interprete(Context c) throws InvalidInstruction;

	public abstract boolean isCompleteAgauche();
	public abstract boolean isCompleteAdroite();

	public abstract void setGauche(ExpressionAbstraite e) throws InvalidInstruction;
	public abstract void setDroite(ExpressionAbstraite e);


	public int getPriorite()
    {
        return priorite;
    }

    public void setPriorite(int priorite)
    {
        this.priorite = priorite;
    }
}
