/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package interpreteur.logique.expressions.nonterminales;

import interpreteur.logique.Context;
import interpreteur.logique.ExpressionAbstraite;
import interpreteur.logique.resultats.InvalidInstruction;
import interpreteur.logique.resultats.Resultat;

/**
 *
 * @author Admin
 */
public class PrincipaleExpression extends ExpressionAbstraite
{

	private ExpressionAbstraite exp;

	@Override
	public Resultat interprete(Context c) throws InvalidInstruction
	{
		return exp.interprete(c);
	}

	@Override
	public boolean isCompleteAgauche()
	{
		return exp != null;
	}

	@Override
	public void setGauche(ExpressionAbstraite e)
	{
		exp = e;
	}

	@Override
	public String toString()
	{
		if (exp != null)
		{
			return exp.toString();
		}
		else
		{
			return "(" + exp + ") FIN";
		}
	}

	@Override
	public int getPriorite()
	{
		return -1;
	}

	@Override
	public void setDroite(ExpressionAbstraite e)
	{
		throw new UnsupportedOperationException("Not supported yet.");
	}

	@Override
	public boolean isCompleteAdroite()
	{
		return true;
	}
}
