/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package interpreteur.logique.expressions.terminales;

import interpreteur.logique.Context;
import interpreteur.logique.ExpressionAbstraite;
import interpreteur.logique.ExpressionTerminale;
import interpreteur.logique.resultats.InvalidInstruction;
import interpreteur.logique.resultats.Resultat;
import interpreteur.logique.resultats.ResultatDouble;

/**
 *
 * @author Admin
 */
public class Nombre extends ExpressionTerminale
{

	private double value;

	public Nombre(double value)
	{
		this.value = value;
        priorite = 0;
	}

	public double getValue()
	{
		return value;
	}

	public void setValue(double value)
	{
		this.value = value;
	}

	@Override
	public Resultat interprete(Context c) throws InvalidInstruction
	{
		return new ResultatDouble(value);
	}

	@Override
	public boolean isCompleteAgauche()
	{
		return true;
	}

	@Override
	public void setGauche(ExpressionAbstraite e)
	{
		return;
	}

	@Override
	public boolean isCompleteAdroite()
	{
		return true;
	}

	@Override
	public String toString()
	{
		return Double.toString(value);
	}

	@Override
	public void setDroite(ExpressionAbstraite e)
	{
		return;
	}
}
