/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package interpreteur.logique.resultats;

import interpreteur.logique.Context;
import interpreteur.logique.ExpressionAbstraite;
import interpreteur.logique.expressions.terminales.Faux;
import interpreteur.logique.expressions.terminales.Vrai;

/**
 *
 * @author Admin
 */
public class ResultatBooleen extends Resultat
{

	private boolean valeur;

	public ResultatBooleen(boolean valeur)
	{
		this.valeur = valeur;
	}

	public boolean getValeur()
	{
		return valeur;
	}

	public void setValeur(boolean valeur)
	{
		this.valeur = valeur;
	}

	@Override
	public double toDouble() throws InvalidInstruction
	{
		/* if(valeur)
		{
		return 1;
		}
		else
		{
		return 0;
		}*/
		throw new InvalidInstruction("Impossible de transformer un booléen en nombre.");

	}

	@Override
	public boolean toBoolean()
	{
		return valeur;
	}

	@Override
	public Resultat interprete(Context c) throws InvalidInstruction
	{
		return this;
	}

	@Override
	public boolean isCompleteAgauche()
	{
		return true;
	}

	@Override
	public boolean isCompleteAdroite()
	{
		return true;
	}

	@Override
	public void setGauche(ExpressionAbstraite e)
	{
		return;
	}

	@Override
	public void setDroite(ExpressionAbstraite e)
	{
		return;
	}

	@Override
	public int getPriorite()
	{
		return 0;
	}

	@Override
	public String toString()
	{
		if (valeur)
		{
			return "vrai";
		}
		else
		{
			return "faux";
		}
	}
}
