/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package interpreteur.logique.resultats;

import interpreteur.logique.Context;
import interpreteur.logique.ExpressionAbstraite;

/**
 *
 * @author Admin
 */
public class ResultatDouble extends Resultat
{

	private double valeur;

	public ResultatDouble(double valeur)
	{
		this.valeur = valeur;
	}

	public double getValeur()
	{
		return valeur;
	}

	public void setValeur(double valeur)
	{
		this.valeur = valeur;
	}

	@Override
	public boolean toBoolean() throws InvalidInstruction
	{
		/*  if(valeur == 0)
		{
		return false;
		}
		else
		{
		return true;
		}*/
		throw new InvalidInstruction("Impossible de transformer un nombre en booléen.");
	}

	@Override
	public double toDouble()
	{
		return valeur;
	}

	@Override
	public String toString()
	{
		return Double.toString(valeur);
	}

	@Override
	public Resultat interprete(Context c) throws InvalidInstruction
	{
		return this;
	}

	@Override
	public boolean isCompleteAgauche()
	{
		return true;
	}

	@Override
	public boolean isCompleteAdroite()
	{
		return true;
	}

	@Override
	public void setGauche(ExpressionAbstraite e)
	{
		return;
	}

	@Override
	public void setDroite(ExpressionAbstraite e)
	{
		return;
	}

	@Override
	public int getPriorite()
	{
		return 0;
	}
}
